# katana functions
prepare_df_modtech<-function(df_ont_f){
  df_modtech<-read.csv(file=df_ont_f,head=TRUE,sep=",")
  df_modtech$filename<-gsub("obi_bcgo", "obi-bcgo", df_modtech$filename)
  df_modtech$o<-get_ontology_short_name(df_modtech$filename)
  df_modtech<-df_modtech[df_modtech$o %in% unique(corpus_md$o),]
  df_modtech$r<-df_modtech$param_reasoner
  df_modtech$el<-ifelse(df_modtech$param_dispatchdl==1,"el","def")
  df_modtech$technique<-ifelse(grepl("stcc-decad-",df_modtech$r),"CC",ifelse(grepl("stmm-decad-",df_modtech$r),"MM",ifelse(grepl("stcco-decad-",df_modtech$r),"CCO",ifelse(grepl("stcccd-decad-",df_modtech$r),"CD",ifelse(grepl("stmore-decmore-",df_modtech$r),"MOR",ifelse(grepl("-decdefault-",df_modtech$r),"MON",ifelse(grepl("-stdefault-decmore-",df_modtech$r),"MORA",NA)))))))
  df_modtech$primarydelegate<-ifelse(grepl("^hermit-",df_modtech$r),"hermit",ifelse(grepl("^pellet-",df_modtech$r),"pellet",ifelse(grepl("^jfact-",df_modtech$r),"jfact",ifelse(grepl("^fact-",df_modtech$r),"fact++",NA))))
  df_modtech$or<-paste(df_modtech$o,df_modtech$primarydelegate,df_modtech$technique,df_modtech$el,substr(df_modtech$experiment_runid, 12, 13),sep="-")
  df_modtech$tech<-paste(substr(df_modtech$primarydelegate,0,1),df_modtech$technique,df_modtech$el,sep="-")
  df_modtech$mid<-paste(df_modtech$o,df_modtech$tech,sep="-")
  df_modtech_all<-df_modtech
  df_modtech <- analysedata(df_modtech)
}